aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gstreamer1/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-03 09:18:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-03 10:58:23 +0000
commit0e808532f728ff4ef7413509c086af9282e3e72c (patch)
treeb3561dfda722ff59708a4d50fcd86d677f5d31ae /testing/gstreamer1/APKBUILD
parent96ed519173b29bb2fed5424ea78bb42c6fdfeae7 (diff)
downloadaports-0e808532f728ff4ef7413509c086af9282e3e72c.tar.gz
aports-0e808532f728ff4ef7413509c086af9282e3e72c.tar.bz2
aports-0e808532f728ff4ef7413509c086af9282e3e72c.tar.xz
testing/gstreamer1: new aport
GStreamer Multimedia Framework http://gstreamer.freedesktop.org/
Diffstat (limited to 'testing/gstreamer1/APKBUILD')
-rw-r--r--testing/gstreamer1/APKBUILD58
1 files changed, 58 insertions, 0 deletions
diff --git a/testing/gstreamer1/APKBUILD b/testing/gstreamer1/APKBUILD
new file mode 100644
index 0000000000..5d5af7c579
--- /dev/null
+++ b/testing/gstreamer1/APKBUILD
@@ -0,0 +1,58 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gstreamer1
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="GStreamer Multimedia Framework"
+url="http://gstreamer.freedesktop.org/"
+arch="all"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tools $pkgname-lang"
+depends=
+depends_dev="glib-dev libxml2-dev"
+makedepends="$depends_dev bison flex gobject-introspection-dev"
+source="http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-$pkgver.tar.xz
+ "
+
+_builddir="$srcdir"/gstreamer-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case "$i" in
+ *.patch)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
+build() {
+ cd "$srcdir"/gstreamer-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-introspection \
+ --with-package-name="GStreamer (Alpine Linux)" \
+ --with-package-origin="http://alpinelinux.org/" \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/gstreamer-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la \
+ "$pkgdir"/usr/lib/*.a \
+ "$pkgdir"/usr/lib/gstreamer*/*.la \
+ "$pkgdir"/usr/lib/gstreamer*/*.a
+}
+
+tools() {
+ pkgdesc="common tools and files for GStreamer streaming media framework"
+ # gst-feedback needs this
+ depends="pkgconfig"
+ mkdir -p "$subpkgdir"/usr/
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+md5sums="b7c9252b83720115d0897fbbbc092dc8 gstreamer-1.0.0.tar.xz"